Bug 572550 - Input devices stutter and system freezes occur
Input devices stutter and system freezes occur
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F13Blocker/F13FinalBlocker
  Show dependency treegraph
 
Reported: 2010-03-11 09:20 EST by Kamil Páral
Modified: 2010-03-22 07:56 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-22 07:56:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2010-03-11 09:20:00 EST
Description of problem:
I just installed Fedora 13 Alpha. My mouse works, but it stutters heavily. Every few seconds it lags and the movement is not fluent. My keyboards also shows a little stuttering every few seconds when I hold some key.

I think it could be related to these messages in dmesg output, there's a lot of them:

Mar 11 15:14:51 localhost kernel: DMAR:[DMA Write] Request device [00:02.0] fault addr 121151000 
Mar 11 15:14:51 localhost kernel: DMAR:[fault reason 05] PTE Write access is not set
Mar 11 15:14:51 localhost kernel: DRHD: handling fault status reg 3

Logs are attached.

Version-Release number of selected component (if applicable):
Fedora 13 Alpha
kernel-2.6.33-0.52.rc8.git6.fc13.x86_64
ThinkPad T500

How reproducible:
all the time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kamil Páral 2010-03-11 09:42:46 EST
Also Rawhide freezes for me after circa 10 minutes of usage. I think it could be related.
Comment 2 Kamil Páral 2010-03-11 09:43:10 EST
s/Rawhide/F13 Alpha
Comment 3 Kamil Páral 2010-03-18 10:06:47 EDT
I have had another system freeze, this time after around 30 minutes. Every time I see those DMA errors in dmesg long before that.

I have also observed the same system freeze on another Thinkpad T500 notebook.
Comment 4 Kamil Páral 2010-03-19 05:05:39 EDT
jskladan, you have the same hardware, could you please confirm this issue too (whether you see those DMA errors and whether it freezes for you)? Thanks.

Those DMA errors seems not to be triggered right after boot, but only after some time. When they happen and flood the /var/log/messages, then the system usually freezes in a few minutes. Maybe it is related to disk activity.

Also I have a suspicion that I see exactly those three error lines right after booting kernel in grub, in the system console (it lasts only a second and then changes to graphical/text boot screen).
Comment 5 Kamil Páral 2010-03-19 07:56:40 EDT
I have found bug #479996, that concerns probably the same issue.

Following information from that bug:
1. disabling Intel VT technology resolves the problem (no DMA errors in dmesg)
2. keeping Intel VT technology enabled but appending intel_iommu=off kernel option resolves the problem too
Comment 6 David Woodhouse 2010-03-19 08:40:02 EDT
Does it go away if you boot with 'intel_iommu=igfx_off'?

If so, it should be fixed in F-13 and rawhide now that I've ported over the fix for bug #538163. As soon as those kernels finish building.
Comment 7 Kamil Páral 2010-03-19 09:03:19 EDT
David, it looks good, I think that kernel option helps too. I will re-test the new kernels and report. Can you tell me in which version it should be fixed so I can verify it?
Comment 8 David Woodhouse 2010-03-19 09:06:30 EDT
For rawhide, kernel-2.6.34-0.13.rc1.git1.fc14 at http://koji.fedoraproject.org/koji/taskinfo?taskID=2062865

For F-13, kernel-2.6.33.1-17.fc13 at http://koji.fedoraproject.org/koji/taskinfo?taskID=2062867
Comment 9 Kamil Páral 2010-03-22 05:08:37 EDT
David, I have installed kernel-2.6.33.1-17.fc13 and I don't see any problems now. I believe it's fixed. Well done.
Comment 10 David Woodhouse 2010-03-22 07:56:20 EDT
Just to be clear, this workaround applies _only_ to spurious faults on the built-in graphics device, seen on this _specific_ chipset (rev. 07):

00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)

Note You need to log in before you can comment on or make changes to this bug.